# ChangeLog for app-misc/pax-utils
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/pax-utils/ChangeLog,v 1.89 2007/03/01 12:08:48 genstef Exp $

  01 Mar 2007; <genstef@gentoo.org> pax-utils-0.1.13.ebuild,
  pax-utils-0.1.14.ebuild, pax-utils-0.1.15.ebuild:
  Dropped ppc-macos keyword, see you in prefix

  03 Feb 2007; Bryan Østergaard <kloeri@gentoo.org>
  pax-utils-0.1.15.ebuild:
  Stable on Alpha, bug 163453.

  02 Feb 2007; Alexander H. Færøy <eroyf@gentoo.org>
  pax-utils-0.1.15.ebuild:
  Stable on MIPS; bug #163453

  31 Jan 2007; Markus Rothe <corsair@gentoo.org> pax-utils-0.1.15.ebuild:
  Stable on ppc64; bug #163453

  30 Jan 2007; Steve Dibb <beandog@gentoo.org> pax-utils-0.1.15.ebuild:
  amd64 stable, bug 163453

  25 Jan 2007; Gustavo Zacarias <gustavoz@gentoo.org>
  pax-utils-0.1.15.ebuild:
  Stable on sparc wrt #163453

  24 Jan 2007; Jeroen Roovers <jer@gentoo.org> pax-utils-0.1.15.ebuild:
  Stable for HPPA (bug #163453).

  23 Jan 2007; Raúl Porcel <armin76@gentoo.org> pax-utils-0.1.15.ebuild:
  x86 stable wrt bug 163453

  23 Jan 2007; nixnut <nixnut@gentoo.org> pax-utils-0.1.15.ebuild:
  Stable on ppc wrt bug 163453

*pax-utils-0.1.15 (13 Dec 2006)

  13 Dec 2006; <solar@gentoo.org> +pax-utils-0.1.15.ebuild:
  Removed *macho* from release files. Lots of minor whitespace and style
  updates. List known pkg maintainers for other distributions that carry the
  pax-utils.
  
  scanelf: Improved return values of many functions to be ints vs voids.
  Support added for displaying em_machine via %a format flag. Make
  scanelf_file_bind() not output anything if quiet mode and the ELF is static
  or not setuid.
  
  pspax: Support added for -u,--user <user/uid> Support added for -g,--group
  <group/gid>

  17 Oct 2006; Roy Marples <uberlord@gentoo.org> pax-utils-0.1.14.ebuild:
  Added ~sparc-fbsd keyword.

*pax-utils-0.1.14 (23 Sep 2006)

  23 Sep 2006; Mike Frysinger <vapier@gentoo.org> +pax-utils-0.1.14.ebuild:
  Add support for NetBSD, add --user/--group options to pspax, and fix QA
  envvar handling of .o objects.

  07 Jun 2006; Jeroen Roovers <jer@gentoo.org> pax-utils-0.1.13.ebuild:
  Stable on hppa (bug #135427).

  06 Jun 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  pax-utils-0.1.13.ebuild:
  Stable on sparc wrt #135427

  05 Jun 2006; Simon Stelling <blubb@gentoo.org> pax-utils-0.1.13.ebuild:
  stable on amd64

  04 Jun 2006; Torsten Veller <tove@gentoo.org> pax-utils-0.1.13.ebuild:
  Stable on x86 (#135427).

  04 Jun 2006; Fernando J. Pereda <ferdy@gentoo.org>
  pax-utils-0.1.13.ebuild:
  Stable on alpha. Thanks to Mike Hlavac <mike@flyingpenguins.org> for
  testing. Bug #135427

  04 Jun 2006; Markus Rothe <corsair@gentoo.org> pax-utils-0.1.13.ebuild:
  Stable on ppc64; bug #135427

  03 Jun 2006; <nixnut@gentoo.org> pax-utils-0.1.13.ebuild:
  Stable on ppc; bug #135427

  03 Jun 2006; <solar@gentoo.org> pax-utils-0.1.13.ebuild:
  - stable on arm

*pax-utils-0.1.13 (17 May 2006)

  17 May 2006; <solar@gentoo.org> +pax-utils-0.1.13.ebuild:
  Improved Makefile handling. (vapier) QA_TEXTREL/QA_EXECSTACK/QA_WX_LOAD exempt
  filtering flags. (kevquinn) Handle versioned symbols correctly on unstripped
  ELF files when using the -s flag. Do not assume it is ok to read from stdin if
  the -l -p flags were given. (solar)

*pax-utils-0.1.12 (30 Apr 2006)

  30 Apr 2006; <solar@gentoo.org> -files/pax-utils-0.1.10.patch,
  -pax-utils-0.1.10.ebuild, pax-utils-0.1.11-r1.ebuild,
  +pax-utils-0.1.12.ebuild, -pax-utils-0.1.9.ebuild:
  - new pspax -n/-w flags. new -L handling for the BSD arches. uses ld.so.hints
  vs ld.so.cache (thanks flameeyes). tty null term handling should be fixed

  24 Apr 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  pax-utils-0.1.11-r1.ebuild:
  Stable on sparc

  23 Apr 2006; Michael Hanselmann <hansmi@gentoo.org>
  pax-utils-0.1.11-r1.ebuild:
  Stable on ppc.

  22 Apr 2006; Markus Rothe <corsair@gentoo.org> pax-utils-0.1.11-r1.ebuild:
  Stable on ppc64

  22 Apr 2006; <solar@gentoo.org> pax-utils-0.1.11-r1.ebuild:
  - stable on amd64 arm mips x86

  16 Apr 2006; Bryan Østergaard <kloeri@gentoo.org
  pax-utils-0.1.11-r1.ebuild:
  Stable on alpha.

*pax-utils-0.1.11-r1 (12 Apr 2006)

  12 Apr 2006; Mike Frysinger <vapier@gentoo.org>
  +files/pax-utils-0.1.11.patch, +pax-utils-0.1.11-r1.ebuild:
  Fix scanelf hang due to grep-style changes with stdin #128247 by Matteo Azzali.

*pax-utils-0.1.11 (30 Mar 2006)

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  +pax-utils-0.1.11.ebuild:
  New release working on FreeBSD and marked ~x86-fbsd.

  23 Mar 2006; Luis Medinas <metalgod@gentoo.org> pax-utils-0.1.10.ebuild:
  Stable on amd64. Bug #124699.

  11 Mar 2006; Michael Hanselmann <hansmi@gentoo.org>
  pax-utils-0.1.10.ebuild:
  Stable on ppc.

  10 Mar 2006; Torsten Veller <tove@gentoo.org> pax-utils-0.1.10.ebuild:
  Stable on x86 (#124699)

  09 Mar 2006; Aron Griffis <agriffis@gentoo.org> pax-utils-0.1.10.ebuild:
  Mark 0.1.10 stable on ia64

  08 Mar 2006; Jeroen Roovers <jer@gentoo.org> pax-utils-0.1.10.ebuild:
  Stable on hppa (bug #124699).

  08 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  pax-utils-0.1.10.ebuild:
  Stable on sparc wrt #124699

  08 Mar 2006; Markus Rothe <corsair@gentoo.org> pax-utils-0.1.10.ebuild:
  Stable on ppc64; bug #124699

  22 Feb 2006; <solar@gentoo.org> +files/pax-utils-0.1.10.patch,
  pax-utils-0.1.10.ebuild:
  - Using the flags -Xe on ppc and probably others would lead to the PT_LOAD
  executable bits being stripped (very bad thing). glob64->glob touchup for
  the BSD guys

*pax-utils-0.1.10 (18 Feb 2006)

  18 Feb 2006; <solar@gentoo.org> -files/pax-utils-0.1.8-etrel-notwx.patch,
  -files/pax-utils-0.1.8-paxelf-fd-mmap.patch, +pax-utils-0.1.10.ebuild,
  -pax-utils-0.1.4.ebuild, -pax-utils-0.1.8-r1.ebuild,
  -pax-utils-0.1.8.ebuild, pax-utils-0.1.9.ebuild:
  - added -k/--section %k modifier to detect elf a given section exists. added
  -z to unifiy paxctl/chpax handling into a single util. change max pt loads to
  2 for netbsd. The -E option now takes strings. The -l option now reads
  ld.so.conf include files. cleaned up old ebuilds. mips 0.1.9 marked stable
  checked by kumba

  08 Feb 2006; Saleem Abdulrasool <compnerd@gentoo.org>
  pax-utils-0.1.9.ebuild:
  stable on x86 as per bug #121777

  07 Feb 2006; Patrick McLean <chutzpah@gentoo.org> pax-utils-0.1.9.ebuild:
  Stable on amd64 (bug 121777).

  07 Feb 2006; Aron Griffis <agriffis@gentoo.org> pax-utils-0.1.9.ebuild:
  Mark 0.1.9 stable on alpha

  06 Feb 2006; Aron Griffis <agriffis@gentoo.org> pax-utils-0.1.9.ebuild:
  Mark 0.1.9 stable on ia64

  06 Feb 2006; <nixnut@gentoo.org> pax-utils-0.1.9.ebuild:
  Stable on ppc. bug 121777

  06 Feb 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  pax-utils-0.1.9.ebuild:
  Stable on sparc wrt #121777

  06 Feb 2006; Markus Rothe <corsair@gentoo.org> pax-utils-0.1.9.ebuild:
  Stable on ppc64: bug #121777

*pax-utils-0.1.9 (05 Feb 2006)

  05 Feb 2006; <solar@gentoo.org> +pax-utils-0.1.9.ebuild:
  - version bump. Adds new features. -M bits -E types

  02 Feb 2006; <solar@gentoo.org> +files/pax-utils-0.1.8-etrel-notwx.patch,
  pax-utils-0.1.8-r1.ebuild:
  - ET_REL objects were being falsely reported as !WX

*pax-utils-0.1.8-r1 (29 Jan 2006)

  29 Jan 2006; <solar@gentoo.org> +files/pax-utils-0.1.8-paxelf-fd-mmap.patch,
  +pax-utils-0.1.8-r1.ebuild:
  - bugfix. dont report false positives in quiet mode

*pax-utils-0.1.8 (28 Jan 2006)

  28 Jan 2006; <solar@gentoo.org> -files/scanelf-null-rpath.patch,
  pax-utils-0.1.4.ebuild, -pax-utils-0.1.5.ebuild, -pax-utils-0.1.6.ebuild,
  -pax-utils-0.1.7-r1.ebuild, +pax-utils-0.1.8.ebuild:
  - New -A option to scan *.a archives. Better handling of invalid elf files.

*pax-utils-0.1.7-r1 (18 Jan 2006)

  18 Jan 2006; <solar@gentoo.org> +files/scanelf-null-rpath.patch,
  -pax-utils-0.1.7.ebuild, +pax-utils-0.1.7-r1.ebuild:
  - bugfix: dont write to memory when NULL rpaths exists and not using
  -X/--fix in scanelf

*pax-utils-0.1.7 (12 Jan 2006)

  12 Jan 2006; <solar@gentoo.org> +pax-utils-0.1.7.ebuild:
  - new -X/--fix option to attempt to fix faulty RPATHs etc. Updated tristate
  pax handling. Adds support for obsd. Misc cleanups and improvements

  31 Dec 2005; Fabian Groffen <grobian@gentoo.org> pax-utils-0.1.6.ebuild:
  Marked ~ppc-macos on request of vapier.  The tools really work on ELF files,
  but their use on Darwin is questionable.

*pax-utils-0.1.6 (29 Dec 2005)

  29 Dec 2005; <solar@gentoo.org> -pax-utils-0.1.3.ebuild,
  +pax-utils-0.1.6.ebuild:
  - fixup for silly NetBSD stdout handling. updates for arches lacking proper
  header defines. New -L option to resolve DT_NEEDED cache paths

*pax-utils-0.1.5 (08 Dec 2005)

  08 Dec 2005; Mike Frysinger <vapier@gentoo.org> +pax-utils-0.1.5.ebuild:
  Have dumpelf show .comment/.interp sections, properly set shdr/phdr to NULL
  when an ELF lacks them, fix #e usage, and add support for parsing
  .note.GNU-stack in object files.

  05 Dec 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  pax-utils-0.1.4.ebuild:
  Stable on sparc

  04 Dec 2005; <solar@gentoo.org> pax-utils-0.1.4.ebuild:
  - stable on x86

*pax-utils-0.1.4 (30 Oct 2005)

  30 Oct 2005; <solar@gentoo.org> +pax-utils-0.1.4.ebuild:
  - version bump. This release adds 3 scanelf options. -S, -b, -g

  28 Oct 2005; <solar@gentoo.org> pax-utils-0.1.3.ebuild:
  - #103173 pax-utils installs docs into /usr/share/doc

*pax-utils-0.1.3 (25 Jul 2005)

  25 Jul 2005; Mike Frysinger <vapier@gentoo.org> +pax-utils-0.1.3.ebuild:
  Fix building with gcc-2, dont bomb with alignment errors on some arches, and
  add support for SONAME scanning in scanelf.

*pax-utils-0.1.2 (03 Jul 2005)

  03 Jul 2005; <solar@gentoo.org> +pax-utils-0.1.2.ebuild:
  - update textrel handling code to scan only the text segment. New -e -v -p
  flags for pspax. minor changes overall

  16 Jun 2005; <solar@gentoo.org> pax-utils-0.1.1.ebuild:
  - arm/m68k/ppc64/s390/sh stable

  16 Jun 2005; <solar@gentoo.org> -pax-utils-0.0.4.ebuild,
  -pax-utils-0.0.7.ebuild, -pax-utils-0.1.0.ebuild, pax-utils-0.1.1.ebuild:
  - stable on alpha/hppa/ia64/sparc

*pax-utils-0.1.1 (16 Jun 2005)

  16 Jun 2005; <solar@gentoo.org> pax-utils-0.1.1.ebuild:
  - stable on x86/ppc/mips/amd64

  10 Jun 2005; <solar@gentoo.org> :
  - Bugfixes: only report the source of textrels when the executable actually
  contains DT_TEXTREL. Only enable -Wdeclaration-after-statement -Wextra if the
  compiler supports it

*pax-utils-0.1.0 (08 Jun 2005)

  08 Jun 2005; <solar@gentoo.org> -pax-utils-0.0.8.ebuild,
  -pax-utils-0.0.9.ebuild, +pax-utils-0.1.0.ebuild:
  * scanelf options: -N matches a given lib. -T will print the cause of 
  the ELF text relocation (-T based on code from Kevin Quinn.. 10x thanks) 
  -F format modifiers were added for printing the base file name and base 
  file name with search paths removed, this is ideal for scripting with 
  use of automated q/a systems so we don't have to re-parse a the string 
  to get desired output. All format modifiers now accept # in place of % 
  but # is quiet where % is verbose. Also new to the format handling is 
  the %x modifier now prints PT_PAX_FLAGS and falls back to EI_PAX if no 
  PaX flags were found in the program header.
  
  * The suite should work on OSX. 
  * Minor touch ups to Makefile/pspax/dumpelf.
  * Lots of typecasting fixes for improved portability.

  05 Jun 2005; Michael Hanselmann <hansmi@gentoo.org>
  pax-utils-0.0.7.ebuild:
  Stable on ppc.

  31 May 2005; Christian Birchinger <joker@gentoo.org>
  pax-utils-0.0.7.ebuild:
  Added sparc stable keyword

*pax-utils-0.0.9 (28 May 2005)

  28 May 2005; Mike Frysinger <vapier@gentoo.org> +pax-utils-0.0.9.ebuild:
  Add support for FreeBSD and fix cross-endian bugs.

  21 May 2005; <solar@gentoo.org> :
  Makefile: include/depend fix. dumpelf: display improvements, 32/64bit phdr
  fix, man page updates. scanelf: Two new options. The ability to display run
  time bindings -b/--bind and -f/--from read input stream from a filename/stdin
  for scanelf. The -F format handling pretty much got a total rewrite for the
  better. We used taviso@gentoo fuzz regression tool to help track down bugs
  with malformed executables. Now the overall result is greatly improved error
  handling for improper elf files. paxelf: Improvements in the mmap error
  handling. README: updates to reflect changes man/*.1: updates to reflect
  changes

  15 May 2005; <solar@gentoo.org> metadata.xml:
  - update metadata.xml

*pax-utils-0.0.2 (15 May 2005)

  15 May 2005; <solar@gentoo.org> -pax-utils-0.0.1.ebuild,
  -pax-utils-0.0.2.ebuild, pax-utils-0.0.4.ebuild, -pax-utils-0.0.5.ebuild,
  -pax-utils-0.0.6.ebuild, pax-utils-0.0.7.ebuild:
  - stable x86 - make all ebuild use toolchain-funcs vs gcc eclass - cleaned non
  stabilized versions below 0.0.7

*pax-utils-0.0.7 (30 Apr 2005)

  30 Apr 2005; <solar@gentoo.org> +pax-utils-0.0.7.ebuild:
  - uclibc updates and -F format handling

  21 Apr 2005; Simon Stelling <blubb@gentoo.org> pax-utils-0.0.4.ebuild:
  stable on amd64

*pax-utils-0.0.6 (14 Apr 2005)

  14 Apr 2005; <solar@gentoo.org> +pax-utils-0.0.6.ebuild:
  - version bump. lots of new treats

  12 Apr 2005; Daniel Ostrow <dostrow@gentoo.org> pax-utils-0.0.4.ebuild,
  pax-utils-0.0.5.ebuild:
  ~ppc64 for ppc64 hardened

  09 Apr 2005; Michael Hanselmann <hansmi@gentoo.org>
  pax-utils-0.0.4.ebuild:
  Stable on ppc.

*pax-utils-0.0.5 (01 Apr 2005)

  01 Apr 2005; <solar@gentoo.org> +pax-utils-0.0.5.ebuild:
  - major source code cleanup. combine scanexec/scanrexec/pttool into unified
  scanelf tool. manpage updates. fixed memleak in readelf function. new options
  to detect TEXTREL's, display RPATH info, make display of pax flags markings
  optional. A new recursive option was added to scan subdirs. All sorts of good
  stuff that makes grandma happy. Many thanks to vapier.

  31 Mar 2005; Aron Griffis <agriffis@gentoo.org> pax-utils-0.0.4.ebuild:
  stable on ia64

  12 Nov 2004; Gustavo Zacarias <gustavoz@gentoo.org> pax-utils-0.0.4.ebuild:
  Stable on sparc

*pax-utils-0.0.4 (11 Nov 2004)

  11 Nov 2004; <solar@gentoo.org> +metadata.xml, pax-utils-0.0.4.ebuild:
  marking pax-utils stable on x86/mips

